{ config, lib, pkgs, user, ... }:
{
  environment.systemPackages = with pkgs; [
    git # Version control system for tracking changes in source code during software development
    git-annex # Manages files with git, without checking the file contents into git
    lazygit # Terminal-based GUI for git, making it easier to use and visualize git repositories
  ];

  age.secrets."git/github_personal" = {
    file = ../../secrets/git/github_personal.age;
    owner = "${user}";
    group = "users";
  };
}
